/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2002 CodeFactory AB
 * Copyright (C) 2002 Richard Hult <richard@imendio.com>
 * Copyright (C) 2002 Mikael Hallendal <micke@imendio.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MRP_ERROR_H__
#define __MRP_ERROR_H__

#include <glib.h>

#define MRP_ERROR mrp_error_quark ()

typedef enum {
        MRP_ERROR_TASK_RELATION_FAILED,
        MRP_ERROR_TASK_MOVE_FAILED,

	MRP_ERROR_LOAD_FILE_DONT_EXIST,
	MRP_ERROR_LOAD_FILE_INVALID,
	MRP_ERROR_SAVE_FILE_EXIST,
	MRP_ERROR_SAVE_FILE_CHANGED,
	MRP_ERROR_EXPORT_UNSUPPORTED,
	MRP_ERROR_EXPORT_FAILED,
	MRP_ERROR_NO_FILE_MODULE,
	MRP_ERROR_SAVE_WRITE_FAILED,

	MRP_ERROR_INVALID_URI,

	/* General error (should avoid using this). */
        MRP_ERROR_FAILED
} MrpError;

GQuark mrp_error_quark (void) G_GNUC_CONST;

#endif /* __MRP_ERROR_H__ */
